<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Downloads\Upload;

class DoUploadController extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Downloads\Upload\DoUploadController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new DoUploadUseCase(
      $this->getRequestObj(),
      $this->dokuHelper
    );
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    $statusMessageContainer = new \Kufer\Web\KuferTools\Utils\StatusMessages\StatusMessageContainer();
    $statusMessageContainer->addStatusMessageByOldObject($pUseCaseResponse->statusCodeAndMessage);

    return new \Kufer\Web\KuferTools\Dozent\KursUebersicht\KursDetails\KursDetailsExternController($pUseCaseResponse->knr, $statusMessageContainer);
  }
}